<?php
class TelefonoDID
{
    private $id;
    private $telefono;
    private $cliente;
    private $didExtencion;
    private $descripcion;
    private $ruta;
    private $grabar;
    private $extencion;
    private $extencionContext;
    private $agente;
    private $menu;
    private $voicemail;
    private $campana;
    private $activo;
    private $realCampana;
    private $list_id;

    public function getId()
    {return $this->id;}

    public function getCliente()
    {return $this->cliente;}
    public function setCliente($cliente)
    {$this->cliente = $cliente;}

    public function getDidExtencion()
    {return $this->didExtencion;}
    public function setDidExtencion($didExtencion)
    {$this->didExtencion = $didExtencion;}

    public function setExtencionContext($extencionContext)
    {$this->extencionContext = $extencionContext;}
    public function getExtencionContext()
    {return $this->extencionContext;}

    public function getDescripcion()
    {return $this->descripcion;}
    public function setDescripcion($descripcion)
    {$this->descripcion = $descripcion;}

    public function getRuta()
    {return $this->ruta;}
    public function setRuta($ruta)
    {$this->ruta = $ruta;}

    public function getGrabar()
    {return $this->grabar;}
    public function setGrabar($grabar)
    {$this->grabar = $grabar;}

    public function getExtencion()
    {return $this->extencion;}
    public function setExtencion($extencion)
    {$this->extencion = $extencion;}

    public function getAgente()
    {return $this->agente;}
    public function setAgente($agente)
    {$this->agente = $agente;}

    public function getMenu()
    {return $this->menu;}
    public function setMenu($menu)
    {$this->menu = $menu;}

    public function getVoicemail()
    {return $this->voicemail;}
    public function setVoicemail($voicemail)
    {$this->voicemail = $voicemail;}

    public function getCampana()
    {return $this->campana;}
    public function setCampana($campana)
    {$this->campana = $campana;}

    public function getTelefono()
    {return $this->telefono;}
    public function setTelefono($telefono)
    {$this->telefono = $telefono;}

    public function getActivo()
    {return $this->activo;}
    public function setActivo($activo)
    {$this->activo = $activo;}

    public function getRealCampana()
    {return $this->realCampana;}
    public function setRealCampana($realCampana)
    {$this->realCampana = $realCampana;}

    public function getListId()
    {return $this->list_id;}
    public function setListId($list_id)
    {$this->list_id = $list_id;}

    public function toJSON()
    {
        $cliente = $this->cliente;
        if ($cliente != null) {
            $cliente = $cliente->toJSON();
        }

        $menu = $this->menu;
        if ($menu != null) {
            $menu = $menu->toJSON();
        }
        $resp = array();
        $resp["id"] = $this->getId();
        $resp["Contexto_Extencion"] = $this->getExtencionContext();
        $resp["Telefono"] = $this->getTelefono();
        $resp["Cliente"] = $cliente;
        $resp["Descripcion"] = $this->descripcion;
        $resp["Ruta"] = $this->ruta;
        $resp["Grabar"] = $this->grabar;
        $resp["DIDExtension"] = $this->didExtencion;
        $resp["Extencion"] = $this->extencion;
        $resp["Agente"] = $this->agente;
        $resp["Menu"] = $menu;
        $resp["Voicemail"] = $this->voicemail;
        $resp["Campana"] = $this->campana;
        $resp["Activo"] = $this->activo;
        $resp["campaign_id"] = $this->realCampana;
        $resp["list_id"] = $this->list_id;
        return $resp;
    }
    public function __construct()
    {
        $a = func_get_args();
        $i = func_num_args();
        if (method_exists($this, $f = '__construct' . $i)) {
            call_user_func_array(array($this, $f), $a);
        }
    }
    public function __construct4($id, $didExtencion, $descripcion, $activo)
    {
        $this->didExtencion = $didExtencion;
        $this->id = $id;
        $this->descripcion = $descripcion;
        $this->activo = $activo;
    }
    public function __construct15($didExtencion, $telefono, $descripcion, $cliente, $ruta, $grabar, $extencionContext, $extencion, $agente, $menu, $voicemail, $campana, $activo)
    {
        $this->telefono = $telefono;
        $this->descripcion = $descripcion;
        $this->campana = $campana;
        $this->voicemail = $voicemail;
        $this->menu = $menu;
        $this->didExtencion = $didExtencion;
        $this->ruta = $ruta;
        $this->grabar = $grabar;
        $this->extencion = $extencion;
        $this->agente = $agente;
        $this->cliente = $cliente;
        $this->extencionContext = $extencionContext;
        $this->activo = $activo;
        $this->realCampana = $realCampana;
        $this->list_id = $list_id;

    }
    public function __construct16($id, $didExtencion, $telefono, $descripcion, $cliente, $ruta, $grabar, $extencionContext, $extencion, $agente, $menu, $voicemail, $campana, $activo, $realCampana, $list_id)
    {
        $this->telefono = $telefono;
        $this->id = $id;
        $this->didExtencion = $didExtencion;
        $this->descripcion = $descripcion;
        $this->campana = $campana;
        $this->voicemail = $voicemail;
        $this->menu = $menu;
        $this->extencionContext = $extencionContext;
        $this->ruta = $ruta;
        $this->grabar = $grabar;
        $this->extencion = $extencion;
        $this->agente = $agente;
        $this->cliente = $cliente;
        $this->activo = $activo;
        $this->realCampana = $realCampana;
        $this->list_id = $list_id;
    }
}
